local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____ISCFeature = require("enums.ISCFeature")
local ISCFeature = ____ISCFeature.ISCFeature
local ____shouldFire = require("shouldFire")
local shouldFireSlot = ____shouldFire.shouldFireSlot
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostSlotUpdate = __TS__Class()
local PostSlotUpdate = ____exports.PostSlotUpdate
PostSlotUpdate.name = "PostSlotUpdate"
__TS__ClassExtends(PostSlotUpdate, CustomCallback)
function PostSlotUpdate.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireSlot
    self.featuresUsed = {ISCFeature.SLOT_UPDATE_DETECTION}
end
return ____exports
